## postgresql-autodoc 1.24

=== Makefile ===
# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.1.1.1 2004/05/12 16:00:34 rbt Exp $

TEMPLATES = dia.tmpl dot.tmpl html.tmpl xml.tmpl zigzag.dia.tmpl
BINARY = postgresql_autodoc
CONFIGFILE = config.mk

RELEASE_FILES = Makefile config.mk.in configure \
				configure.ac $(TEMPLATES) install-sh \
				postgresql_autodoc.pl

cur-dir   := $(shell basename ${PWD})
REAL_RELEASE_FILES = $(addprefix $(cur-dir)/,$(RELEASE_FILES))

# Global dependencies
ALWAYS_DEPEND = Makefile configure $(CONFIGFILE)


####
# Test to see if $(CONFIGFILE) has been generated.  If so, include it. Otherwise we assume
# it will be created for us.
has_configmk := $(wildcard $(CONFIGFILE))

ifeq ($(has_configmk),$(CONFIGFILE))
include $(CONFIGFILE)
endif

####
# ALL
.PHONY: all
all: $(ALWAYS_DEPEND) $(BINARY)

####
# Replace the /usr/bin/env perl with the supplied path
# chmod to make testing easier
$(BINARY): postgresql_autodoc.pl $(CONFIGFILE)
	$(SED) -e "s,/usr/bin/env perl,$(PERL)," \
			-e "s,@@TEMPLATE-DIR@@,$(datadir)," \
		 postgresql_autodoc.pl > $(BINARY)
	-chmod +x $(BINARY)

####
# INSTALL Target
.PHONY: install
install: all $(ALWAYS_DEPEND)
	$(INSTALL_SCRIPT) -d $(bindir)
	$(INSTALL_SCRIPT) -d $(datadir)
	$(INSTALL_SCRIPT) -m 755 $(BINARY) $(bindir)
	for entry in $(TEMPLATES) ; \
		do $(INSTALL_SCRIPT) -m 644 $${entry} $(datadir) ; \
	done

####
# CLEAN / DISTRIBUTION-CLEAN / MAINTAINER-CLEAN Targets
.PHONY: clean
clean: $(ALWAYS_DEPEND)
	$(RM) $(BINARY)

.PHONY: distribution-clean distclean
distribution-clean distclean: clean
	$(RM) $(CONFIGFILE) config.log config.status
	$(RM) -r autom4te.cache
	$(RM) $(patsubst %.tmpl,*.%,$(wildcard *.tmpl))

.PHONY: maintainer-clean
maintainer-clean: distribution-clean
	$(RM) configure

####
# Build a release
#
#	Clean
#	Ensure configure is up to date
#	Commit any pending elements
#	Tar up the results
.PHONY: release
release: distribution-clean configure $(RELEASE_FILES)
	@if [ -z ${VERSION} ] ; then \
		echo "-------------------------------------------"; \
		echo "VERSION needs to be specified for a release"; \
		echo "-------------------------------------------"; \
		false; \
	fi
	cvs2cl
	-cvs commit
	cd ../ && tar -czvf postgresql_autodoc-${VERSION}.tar.gz $(REAL_RELEASE_FILES)

####
# Build and Run configure files when configure or a template is updated.
configure: configure.ac
	autoconf

# Fix my makefile, then execute myself
$(CONFIGFILE) : config.mk.in configure
	./configure
	$(MAKE) $(MAKEFLAGS)

## postgresql-autodoc 1.25

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.1.1.1 2004/05/12 16:00:34 rbt Exp $
+# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.2 2005/05/01 05:32:48 rbt Exp $
 
-TEMPLATES = dia.tmpl dot.tmpl html.tmpl xml.tmpl zigzag.dia.tmpl
+TEMPLATES = dia.tmpl dot.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
 BINARY = postgresql_autodoc
 CONFIGFILE = config.mk

## postgresql-autodoc 1.30

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.2 2005/05/01 05:32:48 rbt Exp $
+# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.3 2006/05/16 18:57:24 rbt Exp $
 
 TEMPLATES = dia.tmpl dot.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
 BINARY = postgresql_autodoc
@@ -40,7 +40,7 @@
 
 ####
 # INSTALL Target
-.PHONY: install
+.PHONY: install uninstall
 install: all $(ALWAYS_DEPEND)
 	$(INSTALL_SCRIPT) -d $(bindir)
 	$(INSTALL_SCRIPT) -d $(datadir)
@@ -48,6 +48,14 @@
 	for entry in $(TEMPLATES) ; \
 		do $(INSTALL_SCRIPT) -m 644 $${entry} $(datadir) ; \
 	done
+
+uninstall:
+	-$(RM) $(bindir)/$(BINARY)
+	for entry in $(TEMPLATES) ; \
+		do $(RM) $(datadir)/$${entry} ; \
+	done
+	-rmdir $(datadir)
+	-rmdir $(bindir)
 
 ####
 # CLEAN / DISTRIBUTION-CLEAN / MAINTAINER-CLEAN Targets

## postgresql-autodoc 1.40

=== Makefile ===
# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.7 2009/05/01 02:31:10 rbt Exp $

# install configuration
DESTDIR =
PREFIX = /usr/local
BINDIR = ${PREFIX}/bin
DATADIR = ${PREFIX}/share/postgresql_autodoc


# build configuration
TEMPLATES = dia.tmpl dot.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
BINARY = postgresql_autodoc
SOURCE = ${BINARY}.pl
RELEASE_FILES = Makefile ChangeLog ${SOURCE} ${TEMPLATES}
RELEASE_DIR=postgresql_autodoc

# system tools
INSTALL_SCRIPT = $$(which install) -c
PERL = $$(which perl)
SED = $$(which sed)


all: ${BINARY}

${BINARY}: ${SOURCE}
	${SED} -e "s,/usr/bin/env perl,${PERL}," \
			-e "s,@@TEMPLATE-DIR@@,${DATADIR}," \
		 ${SOURCE} > ${BINARY}
	-chmod +x ${BINARY}

install: all
	${INSTALL_SCRIPT} -d ${DESTDIR}${BINDIR}
	${INSTALL_SCRIPT} -d ${DESTDIR}${DATADIR}
	${INSTALL_SCRIPT} -m 755 ${BINARY} ${DESTDIR}${BINDIR}
	for entry in ${TEMPLATES} ; \
		do ${INSTALL_SCRIPT} -m 644 $${entry} ${DESTDIR}${DATADIR} ; \
	done

uninstall:
	-rm ${DESTDIR}${BINDIR}/${BINARY}
	-for entry in ${TEMPLATES} ; \
		do rm ${DESTDIR}${DATADIR}/$${entry} ; \
	done
	-rmdir ${DESTDIR}${DATADIR}
	-rmdir ${DESTDIR}${BINDIR}

clean:
	rm -f ${BINARY}

release: clean ${RELEASE_FILES}
	@if [ -z ${VERSION} ] ; then \
		echo "-------------------------------------------"; \
		echo "VERSION needs to be specified for a release"; \
		echo "-------------------------------------------"; \
		false; \
	fi
	cvs2cl
	-cvs commit
	mkdir ${RELEASE_DIR} && cp ${RELEASE_FILES} ${RELEASE_DIR} && tar -czvf ${RELEASE_DIR}-${VERSION}.tar.gz ${RELEASE_DIR}
	rm -r ${RELEASE_DIR}

.PHONY: install uninstall clean release

=== debian/changelog ===
postgresql-autodoc (1.40-3) unstable; urgency=low

  * debian/control:
    + Update maintainer email address.
    + Add ${misc:Depends} to Depends field.
    + Bump Standards-Version to 3.8.4. (No changes needed.)
  * debian/source/format: Use format 3.0 (quilt).

 -- Tim Retout <diocles@debian.org>  Thu, 28 Jan 2010 23:00:19 +0000

postgresql-autodoc (1.40-2) unstable; urgency=low

  * debian/control:
    + Update Standards-Version to 3.8.3. (No changes needed.)
    + Use quilt instead of dpatch in Build-Depends.
  * debian/rules: include quilt makefile instead of dpatch.
  * debian/patches/:
    + Rename '02_synopsis_correction.dpatch' to 'synopsis-correction'.
    + Use 'series' instead of '00list' file.
  * debian/patches/synopsis-correction: Clean up description.
  * debian/README.source: New file.

 -- Tim Retout <tim@retout.co.uk>  Sat, 31 Oct 2009 22:23:05 +0000

postgresql-autodoc (1.40-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * New upstream version. (Closes: #532614)
  * debian/watch:
    + Fix to work with upstream web site.
  * debian/rules:
    + Removed autoconf-related stuff that is no longer used.
  * debian/copyright:
    + Update the years in the copyright field.
  * debian/control:
    + Standards-Version bumped to 3.8.1 (no changes required).

  [ Tim Retout ]
  * debian/compat: Update compat level to 7.
  * debian/control:
    + Build-Depend on debhelper 7.
    + Standards-Version bumped to 3.8.2.
    + Section is now 'database'.
  * debian/rules: Use dh_prep, not dh_clean -k.

 -- Tim Retout <tim@retout.co.uk>  Fri, 17 Jul 2009 12:53:51 +0100

postgresql-autodoc (1.31-1) unstable; urgency=low

  * New upstream version.
    + Fixes compatibility with recent libdbd-pg-perl. (Closes: #469715)
  * debian/rules:
    + Touch config.mk before running 'make distribution-clean', so that we
      never try to use upstream's rule to create it.
    + config.sub and config.guess are unused by ./configure, so remove
      altogether.
  * debian/control: Remove build dependency on autotools-dev.
  * Makefile: Remove change to config.mk creation rule from Debian diff.

 -- Tim Retout <tim@retout.co.uk>  Fri, 02 May 2008 00:45:52 +0100

postgresql-autodoc (1.30-2) unstable; urgency=low

  * New maintainer. (Closes: #439534)
  * debian/compat: Bump debhelper compatibility level to 5.
  * debian/control:
    + Bump Build-Depends on debhelper to at least version 5 (see above).
    + Add Build-Depends on autotools-dev, for config.sub and config.guess.
    + Change "PostrgreSQL" to "PostgreSQL" in description. (Closes: #447688)
    + Wrap long description to 80 characters.
    + Standards-Version bumped to 3.7.3 (no changes required).
    + Add new Homepage field.
    + Add new Vcs-* fields.
  * debian/copyright:
    + Update the years in the copyright field.
    + Add new Debian maintainer.
  * debian/rules:
    + Use RM="rm -f" in distclean line, and remove initial hyphen.
      (Fixes lintian warning about ignoring distclean errors.)
    + Respect DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE variables, using code
      from autotools-dev documentation.
    + Remove config.sub, config.guess during clean.
  * debian/patches/01_finish_on_undefined_value_fix.dpatch: Remove, since it
    was disabled in the last upload.
  * debian/patches/02_synopsis_correction.dpatch: Add a description of the
    patch. (Fixes lintian warning about missing description.)
  * config.sub, config.guess: Remove in favour of autotools-dev build-dep.

 -- Tim Retout <tim@retout.co.uk>  Mon, 17 Dec 2007 01:32:12 +0000

postgresql-autodoc (1.30-1) unstable; urgency=low

  * New upstream release
  * debian/patches: disabled patch 01_finish_on_undefined_value_fix.dpatch
    since it is no longer needed.
  * debian/control: added needed libterm-readkey-perl to the Build-Depends-Indep
  * debian/control: Standards-Version bumped to 3.7.2 (no changes required)
  * Corrected synopsis both in the usage print in the program and in the man page.
    (Closes: #408505)
  * debian/control: short description rephrased. Thanks to Peter Eisentraut for the help.
    (Closes: #408498)   

 -- Tommaso Moroni <moronito@debian.org>  Sun, 28 Jan 2007 07:26:57 +0100

postgresql-autodoc (1.25-3) unstable; urgency=low

  * Added a dpatch which fixes a bug caused by a method call on an undefined
    variable. Thanks to William McKee for the patch and to Paolo Cavallini
    for testing it. (Closes: #361228)
  * debian/control: put debhelper and dpatch in Build-Depends line; 
                    Standards-Version bumped to 3.7.0 (no changes required).
  
  
 -- Tommaso Moroni <moronito@debian.org>  Mon,  1 May 2006 14:48:53 +0200

postgresql-autodoc (1.25-2) unstable; urgency=low

  * debian/control: 
    - Standards-Version bumped to 3.6.2 (no changes)
    - recommends dia | dia-gnome (Closes: #329050)

 -- Tommaso Moroni <moronito@debian.org>  Tue,  4 Oct 2005 19:18:34 +0200

postgresql-autodoc (1.25-1) unstable; urgency=low

  * New upstream release

 -- Tommaso Moroni <moronito@debian.org>  Sun, 12 Jun 2005 12:08:32 +0200

postgresql-autodoc (1.24-3) unstable; urgency=low

  * debian/control: change section from contrib to main, since 
    graphviz is now in main. (Closes: #298765)
  * debian/copyright: made distiction between copyright and license.

 -- Tommaso Moroni <moronito@debian.org>  Fri, 11 Mar 2005 15:45:25 +0100

postgresql-autodoc (1.24-2) unstable; urgency=low

  * debian/postgresql_autodoc.1: updated to reflect the output of 
    "postgresql_autodoc --help" command. (Closes: #291556)

 -- Tommaso Moroni <moronito@debian.org>  Fri, 21 Jan 2005 18:01:32 +0100

postgresql-autodoc (1.24-1) unstable; urgency=low

  * New upstream release (Closes: #251595)
  * Corrected download URL in debian/copyright

 -- Tommaso Moroni <moronito@debian.org>  Mon, 18 Oct 2004 05:22:38 +0200

postgresql-autodoc (1.23-1) unstable; urgency=low

  * New upstream release (Closes: #252046, #252049)



=== debian/control ===
Source: postgresql-autodoc
Section: database
Priority: optional
Maintainer: Tim Retout <diocles@debian.org>
Build-Depends: debhelper (>> 7), quilt
Build-Depends-Indep: libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Standards-Version: 3.8.4
Homepage: http://www.rbt.ca/autodoc/
Vcs-Git: git://git.debian.org/git/collab-maint/postgresql-autodoc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/postgresql-autodoc.git

Package: postgresql-autodoc
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Recommends: graphviz, docbook-book, dia | dia-gnome, lynx | www-browser
Description: Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
 This is a utility which will run through PostgreSQL tables and returns HTML,
 DOT, and 2 styles of XML which describes the database.
 .
 The HTML is human readable (via webbrowser). The first style of XML is
 actually the fileformat of Dia, a UML diagram tool. The second type of XML is
 similar to the HTML but in the Docbook 4 format. It enables you to mix in
 other docbook documentation via the XREFs, generating PDFs, HTML, RTF, or
 other formatted documents. Between these tools and JavaDoc with the
 appropriate XREFs, documentation about a project can be generated quickly and
 be easily updatable yet have a very professional look with some DSSSL work.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build: build-indep

build-indep: build-stamp

build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch build-stamp

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/postgresql-autodoc/


binary-arch: build install


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/postgresql_autodoc.1
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.rbt.ca/autodoc/releasenotes.html  binaries/postgresql_autodoc-(.*)\.tar\.gz  debian  uupdate

## postgresql-autodoc 1.41%2B20200921

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,20 @@
-# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.7 2009/05/01 02:31:10 rbt Exp $
+# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.9 2009/08/11 18:50:02 rbt Exp $
 
 # install configuration
 DESTDIR =
 PREFIX = /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share/postgresql_autodoc
+MANDIR = ${PREFIX}/share/man/man1
 
 
 # build configuration
-TEMPLATES = dia.tmpl dot.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
+TEMPLATES = dia.tmpl dot.tmpl dot_shortfk.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
 BINARY = postgresql_autodoc
 SOURCE = ${BINARY}.pl
-RELEASE_FILES = Makefile ChangeLog ${SOURCE} ${TEMPLATES}
+MANPAGE = ${BINARY}.1
+MANPAGE_SOURCE = ${MANPAGE}.in
+RELEASE_FILES = Makefile ChangeLog ${SOURCE} ${TEMPLATES} ${MANPAGE}
 RELEASE_DIR=postgresql_autodoc
 
 # system tools
@@ -20,7 +23,12 @@
 SED = $$(which sed)
 
 
-all: ${BINARY}
+all: ${BINARY} ${MANPAGE}
+
+${MANPAGE}: ${MANPAGE_SOURCE}
+	${SED} -e "s,@@TEMPLATE-DIR@@,${DATADIR}," \
+		${MANPAGE_SOURCE} > ${MANPAGE}
+
 
 ${BINARY}: ${SOURCE}
 	${SED} -e "s,/usr/bin/env perl,${PERL}," \
@@ -31,16 +39,20 @@
 install: all
 	${INSTALL_SCRIPT} -d ${DESTDIR}${BINDIR}
 	${INSTALL_SCRIPT} -d ${DESTDIR}${DATADIR}
+	${INSTALL_SCRIPT} -d ${DESTDIR}${MANDIR}
 	${INSTALL_SCRIPT} -m 755 ${BINARY} ${DESTDIR}${BINDIR}
 	for entry in ${TEMPLATES} ; \
 		do ${INSTALL_SCRIPT} -m 644 $${entry} ${DESTDIR}${DATADIR} ; \
 	done
+	${INSTALL_SCRIPT} ${MANPAGE} ${DESTDIR}${MANDIR}
 
 uninstall:
 	-rm ${DESTDIR}${BINDIR}/${BINARY}
 	-for entry in ${TEMPLATES} ; \
 		do rm ${DESTDIR}${DATADIR}/$${entry} ; \
 	done
+	-rm ${DESTDIR}${MANDIR}/${MANPAGE}
+	-rmdir ${DESTDIR}${MANDIR}
 	-rmdir ${DESTDIR}${DATADIR}
 	-rmdir ${DESTDIR}${BINDIR}

=== debian/changelog ===
postgresql-autodoc (1.41+20200921-1) unstable; urgency=medium

  * Repackaged newest version from GitHub (Closes: #970870)
  * New maintainer with permission from old maintainer.

 -- Willi Mann <willi@debian.org>  Fri, 05 Nov 2021 14:45:17 +0100

## postgresql-autodoc 1.41+20200921

=== debian/control ===
Source: postgresql-autodoc
Section: database
Priority: optional
Maintainer: Willi Mann <willi@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/cbbrowne/autodoc
Vcs-Browser: https://salsa.debian.org/debian/postgresql-autodoc
Vcs-Git: https://salsa.debian.org/debian/postgresql-autodoc.git
Rules-Requires-Root: no

Package: postgresql-autodoc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Suggests: graphviz, docbook-book
Description:  Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
 This is a utility which will run through PostgreSQL tables and returns HTML,
 DOT, and 2 styles of XML which describes the database.
 .
 The HTML is human readable (via webbrowser). The first style of XML is
 actually the fileformat of Dia, a UML diagram tool. The second type of XML is
 similar to the HTML but in the Docbook 4 format. It enables you to mix in
 other DocBook documentation via the XREFs, generating PDFs, HTML, RTF, or
 other formatted documents. Between these tools and JavaDoc with the
 appropriate XREFs, documentation about a project can be generated quickly and
 be easily updatable yet have a very professional look with some DSSSL work.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

export DESTDIR=$(CURDIR)/debian/postgresql-autodoc
export TEMPLATEDIR=/usr/share/postgresql-autodoc

override_dh_auto_clean:

override_dh_auto_build:


override_dh_auto_install:
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/postgresql-autodoc
	mkdir -p $(DESTDIR)/usr/share/man/man1
	
	sed -e 's:@@TEMPLATE-DIR@@:$(TEMPLATEDIR):' -e 's:/usr/bin/env perl:/usr/bin/perl:' postgresql_autodoc.pl > $(DESTDIR)/usr/bin/postgresql_autodoc
	sed 's:@@TEMPLATE-DIR@@:$(TEMPLATEDIR):' postgresql_autodoc.1.in > $(DESTDIR)/usr/share/man/man1/postgresql_autodoc.1
	for i in *.tmpl; do cp $$i $(DESTDIR)/usr/share/postgresql-autodoc; done
